2 inputs with same name -> uninitialized constant

#<Class:0x000000000b894c38>::NonUniqueInputsError

02/12/2020 08:15 AM - Shira Maximov

Status: Closed   

Priority: Normal   

Assignee: Shira Maximov   

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1756991 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7473

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1756991

Description of problem:

When creating a template with 2 inputs with the same name, the error "uninitialized constant

#<Class:0x000000000b894c38>::NonUniqueInputsError" appears and the operation fails. No traceback in production.log. Failure is

expected but it should be handled better: the message should be more user friendly and preferably, the check should be handled

before submitting the form.

Version-Release number of selected component (if applicable):

Reproduced on Sat 6.6 snap 22.

How reproducible:

Deterministic

Steps to Reproduce:

1. Monitor -> Report Templates -> Create

2. Set name

3. Go to Inputs tab

4. Add input, name it "abc"

5. Add another input, name it "abc"

6. Submit

Actual results:

Error, operation failed

Expected results:

(Form not submittable because this is checked by Javascript before submission). Better error message.

Associated revisions

Revision f75b2737 - 02/27/2020 08:56 AM - Shira Maximov

Fixes #28995 - change NonUniqueInputsError to Foreman::Exception

History

#1 - 02/26/2020 03:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shira Maximov

- Pull request https://github.com/theforeman/foreman/pull/7473 added

#2 - 02/27/2020 08:56 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added
#3 - 02/27/2020 09:01 AM - Shira Maximov

- Status changed from Ready For Testing to Closed

Applied in changeset f75b27377e82fd9760a67764b64cbc17d66ef3c9.

#4 - 03/05/2020 12:20 PM - Tomer Brisker

- Category changed from Statistics to Reporting
